Package com.independentsoft.office.odf.styles

# Class OpacityGradient

java.lang.Object
com.independentsoft.office.odf.styles.OpacityGradient

public class OpacityGradient extends Object
Represents an opacity gradient for a graphic object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpacityGradient()`
  Initializes a new instance of the OpacityGradient class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OpacityGradient`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getAngle()`
  Gets the angle that rotates the axis at which the gradient values are interpolated.
  `int`
  `getBorder()`
  Gets the percentage value that is used to scale a border area which is filled by a solid color.
  `int`
  `getCenterX()`
  Gets the center of the geometry that is used for the gradient.
  `int`
  `getCenterY()`
  Gets the center of the geometry that is used for the gradient.
  `String`
  `getDisplayName()`
  Gets the name of a gradient.
  `int`
  `getEnd()`
  Gets the end value for the opacity element.
  `String`
  `getName()`
  Gets the name by which a gradient can be referenced.
  `int`
  `getStart()`
  Gets the start value for the opacity element.
  `GradientStyle`
  `getStyle()`
  Gets the rendering of graphic objects.
  `void`
  `setAngle​(int angle)`
  Sets the angle that rotates the axis at which the gradient values are interpolated.
  `void`
  `setBorder​(int border)`
  Sets the percentage value that is used to scale a border area which is filled by a solid color.
  `void`
  `setCenterX​(int centerX)`
  Sets the center of the geometry that is used for the gradient.
  `void`
  `setCenterY​(int centerY)`
  Sets the center of the geometry that is used for the gradient.
  `void`
  `setDisplayName​(String displayName)`
  Sets the name of a gradient.
  `void`
  `setEnd​(int end)`
  Sets the end value for the opacity element.
  `void`
  `setName​(String name)`
  Sets the name by which a gradient can be referenced.
  `void`
  `setStart​(int start)`
  Sets the start value for the opacity element.
  `void`
  `setStyle​(GradientStyle style)`
  Sets the rendering of graphic objects.
  `String`
  `toString()`
  Converts the value of the current OpacityGradient object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpacityGradient

    public OpacityGradient()
    Initializes a new instance of the OpacityGradient class.

- ## Method Details

  - ### clone

    public OpacityGradient clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current OpacityGradient object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name by which a gradient can be referenced.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name by which a gradient can be referenced.
    Parameters:
      `name` - the new name

  - ### getDisplayName

    public String getDisplayName()
    Gets the name of a gradient.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the name of a gradient.
    Parameters:
      `displayName` - the new display name

  - ### getStyle

    public GradientStyle getStyle()
    Gets the rendering of graphic objects.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(GradientStyle style)
    Sets the rendering of graphic objects.
    Parameters:
      `style` - the new style

  - ### getCenterX

    public int getCenterX()
    Gets the center of the geometry that is used for the gradient.
    Returns:
      the center x

  - ### setCenterX

    public void setCenterX​(int centerX)
    Sets the center of the geometry that is used for the gradient.
    Parameters:
      `centerX` - the new center x

  - ### getCenterY

    public int getCenterY()
    Gets the center of the geometry that is used for the gradient.
    Returns:
      the center y

  - ### setCenterY

    public void setCenterY​(int centerY)
    Sets the center of the geometry that is used for the gradient.
    Parameters:
      `centerY` - the new center y

  - ### getAngle

    public int getAngle()
    Gets the angle that rotates the axis at which the gradient values are interpolated.
    Returns:
      the angle

  - ### setAngle

    public void setAngle​(int angle)
    Sets the angle that rotates the axis at which the gradient values are interpolated.
    Parameters:
      `angle` - the new angle

  - ### getBorder

    public int getBorder()
    Gets the percentage value that is used to scale a border area which is filled by a solid color.
    Returns:
      the border

  - ### setBorder

    public void setBorder​(int border)
    Sets the percentage value that is used to scale a border area which is filled by a solid color.
    Parameters:
      `border` - the new border

  - ### getStart

    public int getStart()
    Gets the start value for the opacity element.
    Returns:
      the start

  - ### setStart

    public void setStart​(int start)
    Sets the start value for the opacity element.
    Parameters:
      `start` - the new start

  - ### getEnd

    public int getEnd()
    Gets the end value for the opacity element.
    Returns:
      the end

  - ### setEnd

    public void setEnd​(int end)
    Sets the end value for the opacity element.
    Parameters:
      `end` - the new end